Alokai

SapccApiGetProductsByCategoryRequest

Request parameters for getProductsByCategory operation in SapccApi. SapccApiGetProductsByCategoryRequest

interface SapccApiGetProductsByCategoryRequest {
	readonly baseSiteId: string;
	readonly categoryId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly query?: string;
	readonly sort?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetProductsByCategory
categoryIdRequiredstringCategory identifier. {string} SapccApiGetProductsByCategory
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetProductsByCategory
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetProductsByCategory
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetProductsByCategory
queryOptionalstringFormatted query string. It contains query criteria like free text search, facet. The format is <freeTextSearch>:<sort>:<facetKey1>:<facetValue1>:...:<facetKeyN>:<facetValueN>. {string} SapccApiGetProductsByCategory
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetProductsByCategory

On this page